Package wx :: Package lib :: Package agw :: Module cubecolourdialog :: Class RGBCube

[frames | no frames]

## Type RGBCube

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                   Control --+
                             |
                     PyControl --+
                                 |
                     BasePyControl --+
                                     |
                                    RGBCube

Implements the drawing, mouse handling and sizing routines for the RGB cube colour.

Method Summary
| ``__init__`(self, parent)` Default class constructor.
| ``DrawLines`(self, dc)` Draws lines connecting the markers.
| ``DrawMarkers`(self, dc)` Draws the square markers used with mouse gestures.
| ``OnLeftDown`(self, event)` Handles the wx.EVT_LEFT_DOWN event for `RGBCube`.
| ``OnLeftUp`(self, event)` Handles the wx.EVT_LEFT_UP event for `RGBCube`.
| ``OnMotion`(self, event)` Handles the wx.EVT_MOTION event for `RGBCube`.

Property Summary

Instance Method Details

### __init__(self, parent)
(Constructor)

Default class constructor. Used internally. Do not call it in your code!

  Overrides:
    `wx.lib.agw.cubecolourdialog.BasePyControl.__init__`

### DrawLines(self, dc)

Draws lines connecting the markers.

  Overrides:
    `wx.lib.agw.cubecolourdialog.BasePyControl.DrawLines`

### DrawMarkers(self, dc=None)

Draws the square markers used with mouse gestures.

  Overrides:
    `wx.lib.agw.cubecolourdialog.BasePyControl.DrawMarkers`

### OnLeftDown(self, event)

Handles the wx.EVT_LEFT_DOWN event for `RGBCube`.

  Overrides:
    `wx.lib.agw.cubecolourdialog.BasePyControl.OnLeftDown`

### OnLeftUp(self, event)

Handles the wx.EVT_LEFT_UP event for `RGBCube`.

  Overrides:
    `wx.lib.agw.cubecolourdialog.BasePyControl.OnLeftUp`

### OnMotion(self, event)

Handles the wx.EVT_MOTION event for `RGBCube`.

  Overrides:
    `wx.lib.agw.cubecolourdialog.BasePyControl.OnMotion`

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:55:13 2009 | http://epydoc.sf.net